Fired when a customer's communication opt-in or opt-out preference changes in Flex.
Triggers:
- An ingested customer event
- A customer action within Flex (e.g. clicking an unsubscribe link)
The webhook payload includes information about the changes, however, if you'd like to fetch the latest version
of the preference, you can use the preference_id field in the webhook payload to query the GET /ingest/v1/customers/communication_preferences endpoint.
Source Filtering
When triggered by an ingested event, the source and source_event_id fields are populated so you can correlate the webhook with the originating event in your system. For example, if you emit a preference event to Flex with source: "freshco-crm" and source_event_id set to your internal identifier, those values are echoed back in the webhook payload.
Use these fields to filter webhooks, either via a JSONata expression on the webhook configuration in Flex, or in your own receiver.
200Event acknowledged successfully